Subject: Re: Printcap problem...

From: "Tom Watson" <[email-masked]>
Date: Thu, 25 May 2000 12:04:48 -0800

On Thu, 25 May 2000 07:31:32 -0400 (EDT), [email-masked] wrote:
> On Thu, 25 May 2000, Tom Watson wrote:
> 
> > I thought it would be simple.  Just setup a pap server and have it spool
> > out to the LPR queue.  It isn't that easy...
> > 
> > >From the file '/var/log/lpr.log' (written by papd):
> > (all with machine ID and papd process id number)
> > ...: restart (1.4b2+asun2.0a18.2)
> > ...: No such printer: lp
> > ...: printcap problem: lp
> > ...: register dr-bond:EpsonLQ2@*
> > ...: unregister dr-bond:EpsonLQ2@*
> > 
> > (The last message promptefd after a kill of the papd process)
> > 
> There are some syntax errors in your papd.conf
> 
> > I thought it would be simple because my files are pretty simple:
> > File '/etc/netatalk/papd.conf':
> > # Test Printer:pr=test:
> > 
> > \:EpsonLQ2:op=tsw:pr=lp:
> Why that backslash at the beginning of the line??? You will need it at the
> end of a line, if the printer definition continues within the next line.
> Also some versions of papd don't like more than one information per line.
> The best version would be:
> 8<-------------------------*snip*
> # Endless comments.
> EpsonLQ2:\
> 	:op=tsw:\
> 	:pr=lp:
> 8<-------------------------*snip*

The backslash at the BEGINNING of the line is to escape the ':' character!
This allows me to specify the "entity type" (see chapter 7 in _Inside
Appletalk_).  In fact this works quite well.  I don't want the type to
be a LaserWriter (the default), and my reading of the code showed that
one could specify the type in the form shown above.  A previous suggestion
to specify a 'pipe' instead of a printer type appears to work a little bit.
The data spooled is not correct for the printer, and the lpr log has
the message "Bad ATP request" repeated 6 times.  I may need to check it out
a bit further.  I think that it might be the Epson PAP client asking for
some status data or something.  Back to packet traces...

> 
> mfg,
> Moritz Kaiser
> 
> __________________________________________________________
> Moritz Kaiser
> Studentische Vertretung, Technische Universitaet Muenchen
> Europe / Germany
> 
-- 
Tom Watson         Generic short signature
[email-masked]     (I'm at home now)